# radius_put_attr

(PECL radius >= 1.1.0)

radius_put_attr — Attaches a binary attribute

### Descripción

radius_put_attr(
resource `$radius_handle`,
int `$type`,
string `$value`,
int `$options` = 0,
int `$tag` = ?
): bool

Attaches a binary attribute to the current RADIUS request.

> Nota:

> Se debe crear una solicitud mediante radius_create_request() antes de llamar a esta función.

### Parámetros

`radius_handle`

  El recurso RADIUS.

`type`

  El tipo de atributo.

`value`

  The attribute value, which will be treated as a raw binary string.

`options`

  Una máscara de bits de las opciones de atributo. Las opciones disponibles incluyen `RADIUS_OPTION_TAGGED` y `RADIUS_OPTION_SALT`.

`tag`

  LA etiqueta de atributo. Este parámetro es ignorado a menos que la opción `RADIUS_OPTION_TAGGED` esté establecida.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Historial de cambios

Versión | Descripción
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### Ejemplos

Ejemplo #1 radius_put_attr() example

`<?php
mt_srand(time());
$chall = mt_rand();
$chapval = md5(pack('Ca*',1 , 'sepp' . $chall));
$pass = pack('CH*', 1, $chapval);
if (!radius_put_attr($res, RADIUS_CHAP_PASSWORD, $pass)) {
echo 'RadiusError:' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Ver también

- radius_get_attr() - Extracts an attribute
- radius_get_vendor_attr() - Extracts a vendor specific attribute
- radius_put_vendor_attr() - Attaches a vendor specific binary attribute